<template>
  <div class="left_1">
    <div class="content">
      <iframe class="content" v-bind:src="reportUrl"></iframe>

      <el-select
        :popper-append-to-body="false"
        v-model="value"
        placeholder="请选择"
        popper-class="selectFrom"
        @change="getValue"
      >
        <el-option
          v-for="item in optionsData"
          :key="item.value"
          :label="item.label"
          :value="item.value"
        >
        </el-option>
      </el-select>
      <el-button
        type="primary"
        icon="el-icon-zoom-in"
        circle
        @click="eject"
      ></el-button>
    </div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  props: {
    optionsData: Array,
  },
  data() {
    //这里存放数据
    return {
      value: "智慧水利公共服务平台",
      // reportUrl:
      //   "http://sgsl.shouguang.gov.cn/cx/jumptycx.html?un=gly&pw=Slj@2020",
      reportUrl: "http://192.168.200.36:8077/ht/login.html",
    };
  },
  //方法集合
  methods: {
    eject() {
      this.$emit("getData", this.reportUrl);
    },
    getValue(val) {
      this.reportUrl = val;
    },
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.left_1 {
  overflow: hidden;
  width: 100%;
  height: calc(50vh - 158px);
  // background-color: #bfa;
  box-sizing: border-box;
  padding-bottom: 40px;

  .content {
    width: 100%;
    height: 100%;
    // background: url("../../../assets/img/联动_03.png") no-repeat center;
    // background-size: 100%;
    position: relative;
    .el-button {
      font-size: 60px;
      position: absolute;
      top: 60px;
      left: 40px;
      background-color: #053469;
    }
  }
  .content /deep/.el-select {
    position: absolute;
    top: 60px;
    left: 300px;
    background-color: #053469;
    width: 600px;
    height: 96px;
    .el-input {
      background-color: #053469;
      width: 100%;
      height: 100%;
      .el-input__inner {
        background-color: #053469;
        width: 100%;
        height: 100%;
        color: #fff;
        font-size: 40px;
        border: 0;
      }
      .el-input__suffix {
        padding-right: 28px;
      }
    }
    .selectFrom {
      height: auto;
      .el-select-dropdown__wrap {
        max-height: 500px;
      }
      .el-select-dropdown__item {
        height: auto;
        font-size: 40px !important;
        padding-top: 40px;
        padding-bottom: 40px;
      }
    }
  }
}
</style>
